var defaultLoadingImg=new Image(); defaultLoadingImg.src="/a0/ru/img/loader.gif";
var ajax_errstr={
	"error": "Ошибка сервера!",
	"timeout": "Ошибка сервера: превышен лимит ожидания!",
	"parsererror": "Ошибка запроса!",
	"notmodified": "Not modified!"
};

var ask_form_is_ready=false;

$(document).ready(function(){

	function showLoginForm (lnk)
	{
		$('#loginPopupContent .step').hide();
		$("#loginForm").show();

		var offset = $(lnk).offset();
		var x = parseInt(offset.left);
		var y = parseInt(offset.top);

		if (lnk.id=="loginLinkEntrance") { x-=20; y+=28; }
		else                             { x-=5; y+=20; }

		$("#loginPopup").css({ left:x+"px", top:y+"px" }).toggle();
		//setTimeout("$('#loginPopup').hide();",60000);
	}

	var login_href=$('#loginLinkEntrance').attr('href');

	$(".loginLink").each(function(){ this.href=login_href; }).click(function(){
		if ($(this).attr('href') != '#') return true;
		showLoginForm(this);
		return false;
	});

	if (window.location.toString().indexOf('loginform=open')!=-1)
		showLoginForm(document.getElementById('loginLinkEntrance'));

	$("#loginPopupClose").click(function(){
		$('#loginPopup').hide();
		return false;
	});

	$("#restoreThePasswordLink").click(function(){
		$('#loginPopupContent .step').hide();
		$('#passwordRestoreForm').show();
		return false;
	});

	$("#loginForm").submit(function(){

		$(".step",this).hide();
		$(".loginLoadingImg",this).show();

		$.ajax({
			"type": "POST",
			"url":  "/a0/ru/ajax/login.thtml",
			"dataType": "json",
			"timeout": 10000,
			"data": $(this).serialize(),
			"success": function(rv){
				if (rv["errcode"])
				{
					$(".loginLoadingImg").hide();
					$("#loginError").text(rv["text"]).show();
				}
				else
				{
					location.reload(true);
				}
			},
			"error": function(XMLHttpRequest, textStatus, errorThrown){
				$(".loginLoadingImg").hide();
				alert(ajax_errstr[textStatus]);
			}
		});

		return false;
	});

	$("#passwordRestoreForm").submit(function(){

		$(".step",this).hide();
		$(".loginLoadingImg",this).show();

		$.ajax({
			"type": "POST",
			"url": "/a0/ru/ajax/password_restore.thtml",
			"data": $(this).serialize(),
			"dataType": "json",
			"timeout": 10000,
			"success": function(rv){
				if (rv["errcode"])
				{
					$(".loginLoadingImg").hide();
					$("#passwordRestoreError").text(rv["text"]).show();
				}
				else
				{
					$("#passwordRestoreForm").hide();
					$("#passwordRestoreDone").text(rv["text"]).show();
				}
			},
			"error": function(XMLHttpRequest, textStatus, errorThrown){
				$(".loginLoadingImg").hide();
				alert(ajax_errstr[textStatus]);
			}
		});

		return false;
	});

	$("button").click(function(){
		$(this).blur();
		if (this.className.indexOf("btnPassive")!=-1) return false; //кнопка выключена
		return true;
	});

	$("#orderButtonStep2").click(function(){
		$("#wizardForm").submit();
		return false;
	});

	$("#orderShowRegFormLink").click(function(){
		if ($("#isRegFormHidden").val()==1)
		{
			$(this).text("Скрыть регистрационные данные");
			$("#isRegFormHidden").val(0);
			$(".regstep",$("#wizardForm")).slideDown();
		}
		else
		{
			$(this).text("Изменить регистрационные данные");
			$("#isRegFormHidden").val(1);
			$(".regstep",$("#wizardForm")).slideUp();
		}
		return false;
	});

	$("#licenceAgreeCheckbox").change(function(){
		if (this.checked)
			$("#orderButtonStep3").removeClass("btnPassive");
		else
			$("#orderButtonStep3").addClass("btnPassive");
	});

		$(".helpLinkText").click(function(){ //подсказка (знак вопроса)
			var p = $(this).parent();
			var offset = p.offset();
			var x = parseInt(offset.left) - 30;
			var y = parseInt(offset.top) - 29;
			p.next().css({left:x+"px", top:y+"px"}).show();
			return false;
		});

		$(".icoHelpClose").click(function(){ //закрыть подсказку
			$(this).parent().parent().hide();
			return false;
		});


	if ( $.browser.msie && $.browser.version < 7) {
		$('.headerMenuLink').hover(
			function () {
				$(this).addClass('menuHoverIE6');
			},
			function () {
				$(this).removeClass('menuHoverIE6');
			}
		);
	}

	$('.sideBoxFaq a').click(function(){

		$(this).parent().next().slideToggle();
		$(this).parent().parent().toggleClass('sideBoxFaqIE7');


		return false;

	});

	$('.faq h4 a').click(function(){
		$(this).parent().next().slideToggle();
		return false;
	});

	$('.faqLink4js').click(function(){
		$(this).next().slideToggle();
		return false;
	});

	$('.articleText a.dashed').click(function(){
		$(this).next().slideToggle();
		return false;
	});

	$('.sideMenuItem a.dashed').click(function(){
		$(this).next().slideToggle();
		return false;
	});


	$('.btn').hover(

		function () {

			$(this).addClass('btnHover');
		},

		function () {

			$(this).removeClass('btnHover');
		}
	);

	$('.footerSearchReady').hover(

		function () {
			$(this).addClass('footerSearchHover');
		},

		function () {
			$(this).removeClass('footerSearchHover');
		}
	);


	$('.sertLink').click(function(e){

		$('.sert').addClass('popupVisible');

		$('.sertPopup').addClass('out');

		var p = $(this).parent().next();

		var topX = (document.body.scrollTop || document.documentElement.scrollTop) + 30;

		p.removeClass('out');
		p.css('top', topX + 'px');


		return false;

	});

	$('.sertPopupClose').click(function(){

		$('.sert').removeClass('popupVisible');
		$('.sertPopup').addClass('out');

		return false;

	});

	$('.expandLink').click(function(){

		$(this).parent().next().slideToggle();

		return false;

	});


	$('#askform').submit(function () {

		if (!doFormCheckAndSubmit(this,1)) return false;

	//	$(talkOutputSelector).removeClass("success error").addClass("success");

		$.ajax({
			url: "/ajax/feedback/",
			type: "POST",
			dataType: "json",
			data: $(this).serialize(),
			timeout: 10000,
			success: fSuccess,
			error: fError
		});

		return false;

	});

	function fSuccess (data, textStatus)
	{

		if (data["status"])
		{
			$('#askform button').addClass('btnPassive');
			$('#askform textarea').val(data["massage"]);
		}
	/*
		else
		{
			alert (data["massage"]);
		}
	*/

		$revoke_submit=false;
	}

	function fError (XMLHttpRequest, textStatus, errorThrown,draft)
	{

		$('#askform button').addClass('btnPassive');
		$('#askform textarea').val('Произошла ошибка!!!');

		$revoke_submit=false; //for doFormCheckAndSubmit
	}

		ask_form_is_ready=true;

	$('#subscribe_form').submit(function () {
		$.ajax({
			url: "/ajax/subscribe/",
			type: "POST",
			dataType: "text",
			data: $(this).serialize(),
			timeout: 10000,
			success: function () { $('#subscribe_box').parent().next().slideToggle(); $('#subscribe_box').parent().parent().toggleClass('sideBoxFaqIE7');},
			error: function () {	alert('Ошибка'); }
		});

	return false;

	});

});


function captchaRefresh (captchaImgSelector, captchaKeycodeSelector)
{
	$.ajax({
		url: "/ajax/captcha/refresh/",
		type: "GET",
		dataType: "json",
		timeout: 10000,
		success: captchaRefreshAJAXsuccess,
		error: captchaRefreshAJAXerror,
		captchaImgSelector: captchaImgSelector,
		captchaKeycodeSelector: captchaKeycodeSelector
	});
}

function captchaRefreshAJAXsuccess (data,textStatus)
{
	$(this.captchaImgSelector).attr("src",data["src"]);
	$(this.captchaKeycodeSelector).attr("value",data["keycode"]);
}

function captchaRefreshAJAXerror (XMLHttpRequest, textStatus, errorThrown)
{
	alert(ajax_errstr[textStatus]);
}

function redir (url)
{
	document.location.href=url;
}


/**	ask form **/

function askcheck ()
{
	var check = $('#askform textarea').val();
	if (check.length>0)
	{
		$('#askform button').removeClass('btnPassive');
	}
	else
	{
		$('#askform button').addClass('btnPassive');
	}
}

function isValidEmail (email)
{
	return (/^([a-z0-9_\-]+\.)*[a-z0-9_\-]+@([a-z0-9][a-z0-9\-]*[a-z0-9]\.)+[a-z]{2,4}$/i).test(email);
}